package mae

import (
	"context"
	"gardening/src/lib/in_context"
	"gardening/src/lib/out_extra"
)

type MaeInInner struct {
	Context in_context.InContext
}

func (this *MaeInInner) GetContext() *in_context.InContext {
	return &this.Context
}

type MaeOutInner struct {
	Success bool
	Ctx     context.Context
	Extra   out_extra.OutExtra
}

func (this *MaeOutInner) GetExtra() *out_extra.OutExtra {
	return &this.Extra
}
